BE(4) | Device Drivers Manual | BE(4)

# NAME

`be` —
SPARC Fast Ethernet interface

# SYNOPSIS

`qec* at sbus? slot ? offset ?`
`be* at qec?`

# DESCRIPTION

The `be` interface provides access to the 10Mb/s and 100Mb/s (half duplex only) Ethernet networks. The `be` is found on the Sun 10/100 Mbit Ethernet boards (Sun part number SUNW,501-2450).

Each of the host's network addresses is specified at boot time with an `SIOCSIFADDR` ioctl(2). The `be` interface employs the address resolution protocol described in arp(4) to dynamically map between Internet and Ethernet addresses on the local network.

The `be` is not capable of link autonegotiation, so a media type must be specified with ifconfig(8). The supported media types are:

media 100baseTX
  Use 100Mbps, half duplex
media 10baseT
  Use 10Mbps, half duplex

# SEE ALSO

arp(4), ifmedia(4), inet(4), intro(4), netintro(4), sbus(4), ifconfig(8)

# HISTORY

Support for the `be` first appeared in NetBSD 1.4.

March 31, 2004 | NetBSD 9.4